%define name kmpg
%define	version 0.5.0a
%define release 1
%define prefix /opt/kde

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: KDE Application, uses splay as mp3 decoder
Summary(de): KDE Programm, benutzt splay als mp3 Dekodierer
Name: %{name}
Version: %{version}
Release: %{release}
Group: X11/KDE/Multimedia
Copyright: GPL
Vendor: The KDE Team
Packager: Troy Engel <tengel@sonic.net>
Distribution: KDE
Source: %{name}-%{version}.tar.gz
URL: http://www.rhrk.uni-kl.de/~mvogt/linux/kmpg/index.html
Requires: qt >= 1.40 kdelibs
BuildRoot: /tmp/build-%{name}-%{version}

%description
mp3 player for KDE.
This RPM file will check for environment variables when rebuilt
(rpm --rebuild %{name}-%{version}-%{release}.src.rpm)
to accept machine specific configuration.  Currently supported:

KMPG_ESD      -  if defined (anything works), --with-sound-type=esd will be
                 passed, otherwise --with-sound-type=native is used

KMPG_NOSLEEP  -  if defined (anything works), --disable-sleep will be
                 passed


%description -l de
mp3 player fuer KDE
This RPM file will check for environment variables when rebuilt
(rpm --rebuild %{name}-%{version}-%{release}.src.rpm)
to accept machine specific configuration.  Currently supported:
 
KMPG_ESD      -  if defined (anything works), --with-sound-type=esd will be
                 passed, otherwise --with-sound-type=native is used
 
KMPG_NOSLEEP  -  if defined (anything works), --disable-sleep will be
                 passed
 
 
%prep
%setup
touch `find . -type f`

%build
if [ -z "$KDEDIR" ]; then
	export KDEDIR=%{prefix}
fi
# Check the environment for some config-time variables
KMPG_CONFIG="--prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT"
if [ -n "$KMPG_ESD" ]; then
	KMPG_CONFIG="$KMPG_CONFIG --with-sound-type=esd"
else
	KMPG_CONFIG="$KMPG_CONFIG --with-sound-type=native"
fi
if [ -n "$KMPG_NOSLEEP" ]; then
	KMPG_CONFIG="$KMPG_CONFIG --disable-sleep"
fi

CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" ./configure \
	$KMPG_CONFIG
make

%install
if [ -z "$KDEDIR" ]; then
	export KDEDIR=%{prefix}
fi
mkdir -p $RPM_BUILD_ROOT$KDEDIR
make prefix=$RPM_BUILD_ROOT$KDEDIR install 

#these conflict with kmp3 package
mv $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/audio/x-mp1.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/audio/x-kmpg-mp1.kdelnk
mv $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/audio/x-mp2.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/audio/x-kmpg-mp2.kdelnk
mv $RPM_BUILD_ROOT$KDEDIR/share/mimelnk/audio/x-mp3.kdelnk \
	$RPM_BUILD_ROOT$KDEDIR/share/mimelnk/audio/x-kmpg-mp3.kdelnk


cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ../file.list.%{name}
